package xyz.leomurca.csgomatches.data.mapper

import xyz.leomurca.csgomatches.data.model.MatchDto
import xyz.leomurca.csgomatches.domain.model.League
import xyz.leomurca.csgomatches.domain.model.Match
import xyz.leomurca.csgomatches.domain.model.Opponent
import xyz.leomurca.csgomatches.domain.model.Serie

fun MatchDto.toDomain(): Match {
    return Match(
        beginAt = beginAt ?: "",
        opponents = opponents.map { op ->
            Opponent(
                id = op.opponent.id,
                name = op.opponent.name ?: "",
                imageUrl = op.opponent.imageUrl ?: ""
            )
        },
        league = League(
            id = league.id,
            name = league.name ?: "",
            imageUrl = league.imageUrl ?: ""
        ),
        serie = Serie(
            id = serie.id,
            name = serie.fullName ?: ""
        ),
        status = status ?: ""
    )
}
